通过


你当前正在访问 Microsoft Azure Global Edition 技术文档网站。 如果需要访问由世纪互联运营的 Microsoft Azure 中国技术文档网站,请访问 https://docs.azure.cn

Labs - List

获取与提供的计费帐户名称、计费配置文件名称和发票科目名称关联的特定实验室的详细信息。

GET https://management.azure.com/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/billingProfiles/{billingProfileName}/invoiceSections/{invoiceSectionName}/providers/Microsoft.Education/labs?api-version=2021-12-01-preview
GET https://management.azure.com/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/billingProfiles/{billingProfileName}/invoiceSections/{invoiceSectionName}/providers/Microsoft.Education/labs?includeBudget={includeBudget}&api-version=2021-12-01-preview

URI 参数

名称 必需 类型 说明
billingAccountName
path True

string

唯一标识计费帐户的 ID。

billingProfileName
path True

string

唯一标识计费配置文件的 ID。

invoiceSectionName
path True

string

唯一标识发票科目的 ID。

api-version
query True

string

要用于客户端请求的 API 的版本。 当前版本为 2021-12-01-preview

includeBudget
query

boolean

可用于包括预算信息。

响应

名称 类型 说明
200 OK

LabListResult

实验室详细信息。

Other Status Codes

ErrorResponseBody

描述作未成功时的错误。

安全性

azure_auth

Azure Active Directory OAuth2 Flow。

类型: oauth2
流向: implicit
授权 URL: https://login.microsoftonline.com/common/oauth2/authorize

作用域

名称 说明
user_impersonation 模拟用户帐户

示例

LabListWithInvoiceSectionName
LabListWithInvoiceSectionNameIncludeBudget

LabListWithInvoiceSectionName

示例请求

GET https://management.azure.com/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/billingProfiles/{billingProfileName}/invoiceSections/{invoiceSectionName}/providers/Microsoft.Education/labs?includeBudget=True&api-version=2021-12-01-preview

示例响应

{
  "value": [
    {
      "id": "/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/billingProfiles/{billingProfileName}/invoiceSections/{invoiceSectionName}/providers/Microsoft.Education/labs/default",
      "name": "default",
      "type": "Microsoft.Education/Labs",
      "properties": {
        "displayName": "example lab",
        "budgetPerStudent": {
          "currency": "USD",
          "value": 100
        },
        "description": "example lab description",
        "expirationDate": "2021-12-09T21:25:56.838Z",
        "effectiveDate": "2021-11-09T21:25:56.838Z",
        "status": "Active",
        "totalBudget": {
          "currency": "USD",
          "value": 500
        },
        "totalAllocatedBudget": {
          "currency": "USD",
          "value": 500
        }
      }
    }
  ]
}

LabListWithInvoiceSectionNameIncludeBudget

示例请求

GET https://management.azure.com/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/billingProfiles/{billingProfileName}/invoiceSections/{invoiceSectionName}/providers/Microsoft.Education/labs?includeBudget=True&api-version=2021-12-01-preview

示例响应

{
  "value": [
    {
      "id": "/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/billingProfiles/{billingProfileName}/invoiceSections/{invoiceSectionName}/providers/Microsoft.Education/labs/default",
      "name": "default",
      "type": "Microsoft.Education/Labs",
      "properties": {
        "displayName": "example lab",
        "budgetPerStudent": {
          "currency": "USD",
          "value": 100
        },
        "description": "example lab description",
        "expirationDate": "2021-12-09T21:25:56.838Z",
        "effectiveDate": "2021-11-09T21:25:56.838Z",
        "status": "Active",
        "totalBudget": {
          "currency": "USD",
          "value": 500
        },
        "totalAllocatedBudget": {
          "currency": "USD",
          "value": 500
        }
      }
    }
  ]
}

定义

名称 说明
Amount

金额。

createdByType

创建资源的标识的类型。

ErrorResponse

描述错误响应的格式。

ErrorResponseBody

错误响应指示服务无法处理传入请求。 错误消息中提供了原因。

LabDetails

实验室详细信息。

LabListResult

实验室列表。

LabStatus

此实验室的状态

systemData

与创建和上次修改资源相关的元数据。

Amount

金额。

名称 类型 说明
currency

string

用于值的货币类型。

value

number

金额值。

createdByType

创建资源的标识的类型。

说明
User
Application
ManagedIdentity
Key

ErrorResponse

描述错误响应的格式。

名称 类型 说明
code

string

错误代码

message

string

指示作失败的原因的错误消息。

ErrorResponseBody

错误响应指示服务无法处理传入请求。 错误消息中提供了原因。

名称 类型 说明
error

ErrorResponse

错误的详细信息。

LabDetails

实验室详细信息。

名称 类型 说明
id

string

资源的完全限定资源 ID。 示例 - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

name

string

资源的名称

properties.budgetPerStudent

Amount

本实验室中每个学生的默认货币上限

properties.description

string

此实验室的详细信息说明

properties.displayName

string

实验室显示名称

properties.effectiveDate

string (date-time)

实验室创建日期

properties.expirationDate

string (date-time)

此实验室中每个学生的默认到期日期

properties.invitationCode

string

可兑换实验室的邀请代码

properties.maxStudentCount

number

可以接受实验室的学生总数。

properties.status

LabStatus

此实验室的状态

properties.totalAllocatedBudget.currency

string

用于值的货币类型。

properties.totalAllocatedBudget.value

number

金额值。

properties.totalBudget.currency

string

用于值的货币类型。

properties.totalBudget.value

number

金额值。

systemData

systemData

包含 createdBy 和 modifiedBy 信息的 Azure 资源管理器元数据。

type

string

资源的类型。 例如“Microsoft.Compute/virtualMachines”或“Microsoft.Storage/storageAccounts”

LabListResult

实验室列表。

名称 类型 说明
nextLink

string

指向下一页结果的链接(url)。

value

LabDetails[]

实验室列表。

LabStatus

此实验室的状态

说明
Active
Deleted
Pending

systemData

与创建和上次修改资源相关的元数据。

名称 类型 说明
createdAt

string (date-time)

资源创建时间戳(UTC)。

createdBy

string

创建资源的标识。

createdByType

createdByType

创建资源的标识的类型。

lastModifiedAt

string (date-time)

上次修改的资源时间戳(UTC)

lastModifiedBy

string

上次修改资源的标识。

lastModifiedByType

createdByType

上次修改资源的标识的类型。